CORE(1)

NAME
core-daemon - CORE daemon manages emulation sessions started from GUI or scripts

SYNOPSIS
core-daemon [-h] [options] [args]

DESCRIPTION
CORE daemon instantiates Linux network namespace nodes.

OPTIONS

-h, --help
    show this help message and exit

-f CONFIGFILE, --configfile=CONFIGFILE
    read config from specified file; default = /etc/core/core.conf

-d, --daemonize
    run in background as daemon; default=False

-e EXECFILE, --execute=EXECFILE
    execute a Python/XML-based session

-l LOGFILE, --logfile=LOGFILE
    log output to specified file; default = /var/log/core-daemon.log

-p PORT, --port=PORT
    port number to listen on; default = 4038

-i PIDFILE, --pidfile=PIDFILE
    filename to write pid to; default = /var/run/core-daemon.pid

-t NUMTHREADS, --numthreads=NUMTHREADS
    number of server threads; default = 1

-v, --verbose
    enable verbose logging; default = False

-g, --debug
    enable debug logging; default = False

SEE ALSO
core-gui(1), coresendmsg(1), netns(1), vcmd(1), vnoded(1)

BUGS
Report bugs to core-dev@pf.itd.nrl.navy.mil.